<?php
$db = mysql_connect("localhost", "leerphp", "bla!vux6")
        or die("Kan niet verbinden: " . mysql_error());
mysql_select_db("leerphp", $db);
?>
<html>
<head>
	<title>Categorie wijzigen</title>
</head>

<body>
<?php
if ($_POST["knop"] && $_POST["naam"]) { // artikel ingevoerd?
$sql = "UPDATE Categorie SET Naam='".$_POST["naam"]."' WHERE CATEGORIE_ID=".$_POST["categorieid"].";";
if (!mysql_query($sql)) { // voer SQL code uit
echo "Wijzigen categorienaam mislukt!";
		exit;
}
echo "OK, De categorie heet nu ".$_POST["naam"];	
} else {
?>

<form method="post" action="<?php echo $_SERVER["PHP_SELF"] ?>">
Selecteer bestaande categorie: <select name="categorieid">
<?php
	$sql = "SELECT * FROM Categorie";
	$resultaat  = mysql_query($sql); // voer SQL code uit
	while ($rij = mysql_fetch_array($resultaat)) {
echo "<option value=\"";
echo $rij["CATEGORIE_ID"]."\">";
echo $rij["Naam"]."</option>\n";
	}

?>
</select><br>
Nieuwe naam: <input type="text" name="naam"><br>
<input type="submit" name="knop" value="Wijzigen">
</form>
<?php 
  }
?>
</body>
</html>
<?php
mysql_close($db);
?>
